api / ProtocolRequiringAttention

# ProtocolRequiringAttention

`data class ProtocolRequiringAttention`

Thinking that Instant is OK for short lived protocol deadlines.

### Constructors

<init> | `ProtocolRequiringAttention(ref: ProtocolInstanceRef, prompt: String, choiceIdsToMessages: Map<SecureHash, String>, dueBy: Instant)` Thinking that Instant is OK for short lived protocol deadlines.

### Properties

choiceIdsToMessages | `val choiceIdsToMessages: Map<SecureHash, String>`
dueBy | `val dueBy: Instant`
prompt | `val prompt: String`
ref | `val ref: ProtocolInstanceRef`